﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinEditors;
using Infragistics.Win;

namespace WinGridBindingSomeColumns
{
    public partial class Form1 : Form
    {
        private DataTable GenerateTable()
        {
            DataTable returned = new DataTable();
            for (int i = 0; i < 50; i++)
            {
                returned.Columns.Add("Columns" + i.ToString(), typeof(string)).DefaultValue = "Text";
            }
            returned.Rows.Add();
            returned.Rows.Add();
            returned.Rows.Add();
            returned.Rows.Add();
            return returned;
        }
        public Form1()
        {
            InitializeComponent();
            ultraGrid1.DisplayLayout.Bands[0].Columns.Add("Columns3", "Caption Columns3");
            ultraGrid1.DisplayLayout.Bands[0].Columns.Add("Columns12", "Caption Columns12");
            ultraGrid1.DisplayLayout.Bands[0].Columns.Add("Columns25", "Caption Columns25");
            ultraGrid1.DisplayLayout.NewColumnLoadStyle = Infragistics.Win.UltraWinGrid.NewColumnLoadStyle.Hide;
            ultraGrid1.DataSource = GenerateTable();
            ultraGrid1.DisplayLayout.Bands[0].Columns["Columns12"].ButtonDisplayStyle = Infragistics.Win.UltraWinGrid.ButtonDisplayStyle.Always;
            ultraGrid1.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;
            ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add( "Columns3", true, true);
        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            if (e.Row.Index == 2)
            {
                EditorButton buton1 = new EditorButton("Button1");
                buton1.Text = "?";
                buton1.Click += new EditorButtonEventHandler(buton1_Click);
                EditorButton buton2 = new EditorButton("Button2");
                buton2.Text = "!";
                buton2.Click += new EditorButtonEventHandler(buton2_Click);
                EditorWithText editor = new EditorWithText();
                editor.ButtonsRight.Add(buton1);
                editor.ButtonsRight.Add(buton2);
                e.Row.Cells["Columns12"].Editor = editor;
                
            }
        }

        void buton2_Click(object sender, EditorButtonEventArgs e)
        {
            ((EditorButton)sender).Editor.Value = "!";
        }

        void buton1_Click(object sender, EditorButtonEventArgs e)
        {
            ((EditorButton)sender).Editor.Value = "?";
        }

        private void ultraGrid1_ClickCellButton(object sender, Infragistics.Win.UltraWinGrid.CellEventArgs e)
        {

        }
    }
}
